Skip to main content
PATCH
/
{version}
/
users
/
{user}
Update user
curl --request PATCH \
  --url https://api.perscom.io/{version}/users/{user} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "email": "<string>",
  "email_verified_at": "2023-11-07T05:31:56Z",
  "phone_number": "<string>",
  "position_id": 123,
  "rank_id": 123,
  "specialty_id": 123,
  "status_id": 123,
  "unit_id": 123,
  "approved": true,
  "notes": "<string>",
  "notes_updated_at": "2023-11-07T05:31:56Z",
  "profile_photo": "<string>",
  "cover_photo": "<string>",
  "last_seen_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.perscom.io/{version}/users/{user}"

payload = {
"name": "<string>",
"email": "<string>",
"email_verified_at": "2023-11-07T05:31:56Z",
"phone_number": "<string>",
"position_id": 123,
"rank_id": 123,
"specialty_id": 123,
"status_id": 123,
"unit_id": 123,
"approved": True,
"notes": "<string>",
"notes_updated_at": "2023-11-07T05:31:56Z",
"profile_photo": "<string>",
"cover_photo": "<string>",
"last_seen_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: '<string>',
email_verified_at: '2023-11-07T05:31:56Z',
phone_number: '<string>',
position_id: 123,
rank_id: 123,
specialty_id: 123,
status_id: 123,
unit_id: 123,
approved: true,
notes: '<string>',
notes_updated_at: '2023-11-07T05:31:56Z',
profile_photo: '<string>',
cover_photo: '<string>',
last_seen_at: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.perscom.io/{version}/users/{user}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "name": "<string>",
    "email": "<string>",
    "id": 123,
    "email_verified_at": "2023-11-07T05:31:56Z",
    "phone_number": "<string>",
    "position_id": 123,
    "rank_id": 123,
    "specialty_id": 123,
    "status_id": 123,
    "unit_id": 123,
    "approved": true,
    "online": true,
    "notes": "<string>",
    "notes_updated_at": "2023-11-07T05:31:56Z",
    "profile_photo": "<string>",
    "profile_photo_url": "<string>",
    "cover_photo": "<string>",
    "cover_photo_url": "<string>",
    "discord_user_id": "<string>",
    "timezone": "<string>",
    "last_seen_at": "2023-11-07T05:31:56Z",
    "last_assignment_change_date": "2023-11-07T05:31:56Z",
    "last_rank_change_date": "2023-11-07T05:31:56Z",
    "label": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"error": {
"message": "You are not authenticated. Please provide a valid API key that contains your PERSCOM ID to continue.",
"type": "AuthenticationException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "A valid subscription is required to complete this request.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API key provided does not have the correct permissions and/or scopes to perform the requested action.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The requested resource or endpoint could not be found.",
"type": "NotFoundHttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The [field] is [required|invalid|etc].",
"type": "ValidationException",
"errors": {
"email": [
"The email field is required.",
"The email must be a valid email address."
],
"password": [
"The password must be at least 8 characters.",
"The password must contain at least one uppercase letter."
]
},
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "You have exceeded the API rate limit. Please wait a minute before trying again.",
"type": "ThrottleRequestsException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}
{
"error": {
"message": "The API is currently down for maintenance. Please check back later.",
"type": "HttpException",
"request_id": "550e8400-e29b-41d4-a716-446655440000",
"trace_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

version
enum<string>
default:v2
required

The API version to use.

Available options:
v1,
v2
user
integer
required

Query Parameters

include
enum<string>
Available options:
assignment_records,
assignment_records.*,
attachments,
award_records,
award_records.*,
award_records.award.*,
combat_records,
combat_records.*,
fields,
position,
primary_assignment_records,
primary_assignment_records.*,
qualification_records,
qualification_records.*,
rank,
rank.*,
rank_records,
rank_records.*,
secondary_assignment_records,
secondary_assignment_records.*,
service_records,
service_records.*,
specialty,
status,
unit,
unit.*

Body

application/json
name
string
required
email
string
required
email_verified_at
string<date-time> | null
phone_number
string | null
position_id
integer | null
rank_id
integer | null
specialty_id
integer | null
status_id
integer | null
unit_id
integer | null
approved
boolean
default:true
notes
string | null

Supports HTML.

notes_updated_at
string<date-time> | null
profile_photo
file | null
cover_photo
file | null
last_seen_at
string<date-time> | null

Response

OK

data
UserResource · object